Skip to main content

Get Service Volume

This API is used to retrieve the data of volume, aggregated in 5-minute or 1-day intervals.

Request

Request-Line

POST /cdn/v1.0/analytics/getVolumeByServiceName HTTP/1.1

Request Parameters

Body Parameters

ParameterTypeRequiredDescription
serviceNamesArrayMandatoryArray of service names, Maximum array size is 50.
startTimeStringMandatoryStart time. Format varies by interval:
• If the interval is minute, use yyyy-MM-ddTHH:mm:ssZ (e.g., 2024-01-15T14:30:00Z).
• If interval is day, use yyyy-MM-ddT00:00:00Z (e.g., 2024-01-15T00:00:00Z).
endTimeStringMandatoryEnd time. Format varies by interval:
• If the interval is minute, use yyyy-MM-ddTHH:mm:ssZ (e.g., 2024-01-15T14:30:00Z).
• If interval is day, use yyyy-MM-ddT00:00:00Z (e.g., 2024-01-15T00:00:00Z).
intervalStringOptionalGranularity of data points. Supported values:
• minute (default) - Each data point represents 5 minutes. Time range cannot exceed 24 hours.
• day - Each data point represents one day. Time range cannot exceed 90 days.

Response

Response Body

Property nameTypeDescription
ArrayArray of Service Volume object.

Object: Service Volume

ParameterTypeDescription
serviceNameStringName of service.
volumesArrayArray of Volume metrics recorded at 5-minute intervals.
Object: Volume
ParameterTypeDescription
timestampStringTimestamp in UTC, using the format yyyy-MM-ddTHH:mm:ssZ.
valueLongData volume within a 5-minute or 1-day interval, in bytes (e.g., 32342331).

Status Codes, Error Codes and Error Messages

Status CodeError CodeError Message
400Request.BadRequestBad request.
400ServiceNames.InvalidThe list of service names is required and must contain valid names.
400ServiceNames.NumberInvalidService names limit exceeded.
400Time.InvalidStartTime or EndTime is required.
400IntervalType.InvalidInterval type must be minute or day.
400TimeRange.ExceededWhen interval is day, the time range between StartTime and EndTime cannot exceed 90 days.
400TimeRange.ExceededWhen interval is minute, the time range between StartTime and EndTime cannot exceed 24 hours.
400TimeRange.EndBeforeStartEndTime must be later than StartTime.

Examples

Get Service Volume

Request

POST /cdn/v1.0/analytics/getVolumeByServiceName HTTP/1.1

{
"serviceNames": [
"api53-1121-auto-test.activity04.com",
"api53-core-c-alisg.tiktokv.com"
],
"startTime": "2025-09-09T00:00:00Z",
"endTime": "2025-09-09T07:16:00Z",
"interval": "minute"
}

Successful Response Body

[
{
"serviceName": "api53-1121-auto-test.activity04.com",
"volumes": [
{
"timestamp": "2025-09-09T04:15:00Z",
"value": 2216
}
]
},
{
"serviceName": "api53-core-c-alisg.tiktokv.com",
"volumes": [
{
"timestamp": "2025-09-09T00:00:00Z",
"value": 5822081
},
{
"timestamp": "2025-09-09T00:05:00Z",
"value": 787230
},
{
"timestamp": "2025-09-09T00:10:00Z",
"value": 321587
},
{
"timestamp": "2025-09-09T00:15:00Z",
"value": 6142668
},
{
"timestamp": "2025-09-09T00:20:00Z",
"value": 2315221
},
{
"timestamp": "2025-09-09T00:25:00Z",
"value": 5390288
},
{
"timestamp": "2025-09-09T00:30:00Z",
"value": 3378056
},
{
"timestamp": "2025-09-09T00:35:00Z",
"value": 761659
},
{
"timestamp": "2025-09-09T00:40:00Z",
"value": 502301
},
{
"timestamp": "2025-09-09T00:45:00Z",
"value": 433572
},
{
"timestamp": "2025-09-09T00:50:00Z",
"value": 1395649
},
{
"timestamp": "2025-09-09T00:55:00Z",
"value": 3101507
},
{
"timestamp": "2025-09-09T01:00:00Z",
"value": 1791890
},
{
"timestamp": "2025-09-09T01:05:00Z",
"value": 2187951
},
{
"timestamp": "2025-09-09T01:10:00Z",
"value": 7625610
},
{
"timestamp": "2025-09-09T01:15:00Z",
"value": 1370565
},
{
"timestamp": "2025-09-09T01:20:00Z",
"value": 1120240
},
{
"timestamp": "2025-09-09T01:25:00Z",
"value": 2654777
},
{
"timestamp": "2025-09-09T01:30:00Z",
"value": 816148
},
{
"timestamp": "2025-09-09T01:35:00Z",
"value": 596870
},
{
"timestamp": "2025-09-09T01:40:00Z",
"value": 626218
},
{
"timestamp": "2025-09-09T01:45:00Z",
"value": 743296
},
{
"timestamp": "2025-09-09T01:50:00Z",
"value": 1874213
},
{
"timestamp": "2025-09-09T01:55:00Z",
"value": 5364974
},
{
"timestamp": "2025-09-09T02:00:00Z",
"value": 912525
},
{
"timestamp": "2025-09-09T02:05:00Z",
"value": 901153
},
{
"timestamp": "2025-09-09T02:10:00Z",
"value": 3848191
},
{
"timestamp": "2025-09-09T02:15:00Z",
"value": 6027678
},
{
"timestamp": "2025-09-09T02:20:00Z",
"value": 9506897
},
{
"timestamp": "2025-09-09T02:25:00Z",
"value": 772794
},
{
"timestamp": "2025-09-09T02:30:00Z",
"value": 2532781
},
{
"timestamp": "2025-09-09T02:35:00Z",
"value": 529705
},
{
"timestamp": "2025-09-09T02:40:00Z",
"value": 476347
},
{
"timestamp": "2025-09-09T02:45:00Z",
"value": 349089
},
{
"timestamp": "2025-09-09T02:50:00Z",
"value": 719142
},
{
"timestamp": "2025-09-09T02:55:00Z",
"value": 3842367
},
{
"timestamp": "2025-09-09T03:00:00Z",
"value": 793639
},
{
"timestamp": "2025-09-09T03:05:00Z",
"value": 3142130
},
{
"timestamp": "2025-09-09T03:10:00Z",
"value": 1793969
},
{
"timestamp": "2025-09-09T03:15:00Z",
"value": 4436621
},
{
"timestamp": "2025-09-09T03:20:00Z",
"value": 2045003
},
{
"timestamp": "2025-09-09T03:25:00Z",
"value": 966247
},
{
"timestamp": "2025-09-09T03:30:00Z",
"value": 3491369
},
{
"timestamp": "2025-09-09T03:35:00Z",
"value": 3408280
},
{
"timestamp": "2025-09-09T03:40:00Z",
"value": 2113352
},
{
"timestamp": "2025-09-09T03:45:00Z",
"value": 4002280
},
{
"timestamp": "2025-09-09T03:50:00Z",
"value": 4822259
},
{
"timestamp": "2025-09-09T03:55:00Z",
"value": 3627674
},
{
"timestamp": "2025-09-09T04:00:00Z",
"value": 2606328
},
{
"timestamp": "2025-09-09T04:05:00Z",
"value": 2229329
},
{
"timestamp": "2025-09-09T04:10:00Z",
"value": 337426
},
{
"timestamp": "2025-09-09T04:15:00Z",
"value": 654084
},
{
"timestamp": "2025-09-09T04:20:00Z",
"value": 1095524
},
{
"timestamp": "2025-09-09T04:25:00Z",
"value": 3601565
},
{
"timestamp": "2025-09-09T04:30:00Z",
"value": 527678
},
{
"timestamp": "2025-09-09T04:35:00Z",
"value": 930135
},
{
"timestamp": "2025-09-09T04:40:00Z",
"value": 1920950
},
{
"timestamp": "2025-09-09T04:45:00Z",
"value": 3270601
},
{
"timestamp": "2025-09-09T04:50:00Z",
"value": 2081778
},
{
"timestamp": "2025-09-09T04:55:00Z",
"value": 3061011
},
{
"timestamp": "2025-09-09T05:00:00Z",
"value": 2873223
},
{
"timestamp": "2025-09-09T05:05:00Z",
"value": 2514529
},
{
"timestamp": "2025-09-09T05:10:00Z",
"value": 3065359
},
{
"timestamp": "2025-09-09T05:15:00Z",
"value": 4262129
},
{
"timestamp": "2025-09-09T05:20:00Z",
"value": 619994
},
{
"timestamp": "2025-09-09T05:25:00Z",
"value": 5433896
},
{
"timestamp": "2025-09-09T05:30:00Z",
"value": 1642426
},
{
"timestamp": "2025-09-09T05:35:00Z",
"value": 1507039
},
{
"timestamp": "2025-09-09T05:40:00Z",
"value": 2997915
},
{
"timestamp": "2025-09-09T05:45:00Z",
"value": 2368462
},
{
"timestamp": "2025-09-09T05:50:00Z",
"value": 1930094
},
{
"timestamp": "2025-09-09T05:55:00Z",
"value": 699196
},
{
"timestamp": "2025-09-09T06:00:00Z",
"value": 650349
},
{
"timestamp": "2025-09-09T06:05:00Z",
"value": 628805
},
{
"timestamp": "2025-09-09T06:10:00Z",
"value": 3885752
},
{
"timestamp": "2025-09-09T06:15:00Z",
"value": 391206
},
{
"timestamp": "2025-09-09T06:20:00Z",
"value": 1904338
},
{
"timestamp": "2025-09-09T06:25:00Z",
"value": 3327593
},
{
"timestamp": "2025-09-09T06:30:00Z",
"value": 2711009
},
{
"timestamp": "2025-09-09T06:35:00Z",
"value": 1534489
},
{
"timestamp": "2025-09-09T06:40:00Z",
"value": 586016
},
{
"timestamp": "2025-09-09T06:45:00Z",
"value": 1536580
},
{
"timestamp": "2025-09-09T06:50:00Z",
"value": 4939563
},
{
"timestamp": "2025-09-09T06:55:00Z",
"value": 632557
},
{
"timestamp": "2025-09-09T07:00:00Z",
"value": 784356
},
{
"timestamp": "2025-09-09T07:05:00Z",
"value": 803945
},
{
"timestamp": "2025-09-09T07:10:00Z",
"value": 4339226
},
{
"timestamp": "2025-09-09T07:15:00Z",
"value": 3273338
}
]
}
]